Subject: Re: [PATCH and RFC] Remove request_8xxirq

From: Dan Malek <[email-masked]>
Date: Mon, 24 Jun 2002 20:03:58 -0400

Tom Rini wrote:

> They're provided to keep compatibility.  I do want to see this get into
> 2.4, and breaking somebodys already working custom driver in 2.4 is bad.

Let's just do the minimal changes in 2.4 to make request_irq() work for
stuff like the PCMCIA drivers.  Forget about the 8259, as I think the only
board that uses it is the MBX, and if people really need it, they can hack
something in as it hasn't worked for years anyway.

> They're gone in the 2.5 version of the patch (since a driver supporting
> 2.5/2.6 will have all sorts of other compatibility macros anyhow).

I'm working on 2.5 now, and I'll implement something better/different
that may not ever make it into 2.4.  Also, you guys have removed all of
the intercepts for RTLinux and RTAI, so I need to put that back in
as well as create an interface for the interrupts.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/